PARPORT(3)

NAME
parport - representation of a parallel port

SYNOPSIS

    #include <ieee1284.h>

DESCRIPTION

A parport structure represents a parallel port.

STRUCTURE MEMBERS

The structure has the following members:

    struct parport {
      /* An artibrary name for the port. */
      const char *name;

      /* The base address of the port, if that has any meaning, or zero. */
      unsigned long base_addr;

      /* The ECR address of the port, if that has any meaning, or zero. */
      unsigned long hibase_addr;

      /* The filename associated with this port,
       * if that has any meaning, or NULL. */
      const char *filename;
    };

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh